{
  "manifest": {
    "/rotating_file_handler.ts": {
      "size": 4968,
      "checksum": "sha256-5da6047574d89dd2290176b809ff7b13fadb34d13b19b9b30a0e36295337a555"
    },
    "/LICENSE": {
      "size": 1075,
      "checksum": "sha256-0961f97da6619d5fe9ddb98649191d5ca6e958856ea5252f4cce7c9b85513819"
    },
    "/error.ts": {
      "size": 2326,
      "checksum": "sha256-428a7e83492210b4385bf79a4426bbd83259249b33a020df6a7bef785f34e441"
    },
    "/get_logger.ts": {
      "size": 2148,
      "checksum": "sha256-0a96277c6febce47622b8c04906b449cff27c26e94bed8132d9245b1e1861ac3"
    },
    "/logger_test.ts": {
      "size": 8446,
      "checksum": "sha256-241ebad2a97fc11f4d23235e8b45d9cb69c251d7bfefeeddb2548504841bce4c"
    },
    "/file_handler_test.ts": {
      "size": 4946,
      "checksum": "sha256-f13b0f7dc67c98d4ba0303b9392298e44c98d252a75fb6dd191b9389a068fd43"
    },
    "/info_test.ts": {
      "size": 664,
      "checksum": "sha256-4fbb0dca18f35a25514f3e7a372491433529a8d88cd8902f830df4138523aa99"
    },
    "/mod.ts": {
      "size": 11265,
      "checksum": "sha256-d772c391274fad2552d1611a7e0b3b9c6ba71f4cbe52e6c83ff3ec86a4961b05"
    },
    "/formatters.ts": {
      "size": 1349,
      "checksum": "sha256-55506699c14078c6d090add244c99f84bf3878f59aad1690e0d86af081c66290"
    },
    "/get_logger_test.ts": {
      "size": 1768,
      "checksum": "sha256-82244a4191ac9e5e90662dc898fa8cb06c9aeda084ac6d911d4ccabd1cee64a2"
    },
    "/critical.ts": {
      "size": 2423,
      "checksum": "sha256-4e7ee7ce087168570b2f5ea79009dc27a37ab7837515dffdd6ba4513f67a1316"
    },
    "/info.ts": {
      "size": 2295,
      "checksum": "sha256-3f7e90f25ed790e1224f3959eaf00d4c2e04b23181609c668dcd6a30348415ca"
    },
    "/error_test.ts": {
      "size": 685,
      "checksum": "sha256-90d245d5690ba5120b2fe924d7d5a61b97e2f312dc1bd520636fed4760a3fab5"
    },
    "/formatters_test.ts": {
      "size": 1162,
      "checksum": "sha256-7012a5bf66fb021b23e3f28db474c7dabd5d72334a5116c73aa9684b7bb0be1c"
    },
    "/rotating_file_handler_test.ts": {
      "size": 8642,
      "checksum": "sha256-cb998874be1156b878c0e61c0a7603a8623a6f99c5353f795cc633c853641747"
    },
    "/logger.ts": {
      "size": 21046,
      "checksum": "sha256-e901f5fade45476e32153c58ef3712f719375e642ef999ee7b74262439ebe818"
    },
    "/base_handler.ts": {
      "size": 9755,
      "checksum": "sha256-d3fc90790b889c076236104b39f09035ea9c0263e07cf343e0b270cf41cb7768"
    },
    "/base_handler_test.ts": {
      "size": 2440,
      "checksum": "sha256-5b43cdd44b109792bf2f27f96f1ef6c3f151ae8581729918726cae6ee7475b5d"
    },
    "/debug_test.ts": {
      "size": 362,
      "checksum": "sha256-3b33bbfbc3b29a7638b45f66ce9d5e4988de85a945ef18c33f708ef26f56fec9"
    },
    "/debug.ts": {
      "size": 3440,
      "checksum": "sha256-c8cc9093b8332643683930b1c9173d105f456b11d8655c9b9b382549ede322c4"
    },
    "/_file_handler_symbols.ts": {
      "size": 380,
      "checksum": "sha256-f68a92c8cec2ac3a74bd5d725c57741470d6485cffccdb9d28ffa136dad80f4b"
    },
    "/setup_test.ts": {
      "size": 5748,
      "checksum": "sha256-1366afde95b4c2badaa2c0e99fbebe1c60e6afbc144a660ce5921e92a41fb4ff"
    },
    "/_test_handler.ts": {
      "size": 244,
      "checksum": "sha256-425d03502a5121d8f8044dfe59e439db3bd3855f90a2aa3b7361f1bb289f35fa"
    },
    "/warn_test.ts": {
      "size": 691,
      "checksum": "sha256-69a4592bcc765783dbe39aaa0261be7568f69f5825e80fd62f6b79ad765b81cc"
    },
    "/deno.json": {
      "size": 602,
      "checksum": "sha256-7d3e2a23b4c3e66e3d20d6df0b7d0beb7227961df65d529482827cabae89c833"
    },
    "/warn.ts": {
      "size": 2335,
      "checksum": "sha256-d9227d43b5d76ce80bcb7edce3d7247b9d015834cdcd0c88f20184654893b1cd"
    },
    "/levels.ts": {
      "size": 1517,
      "checksum": "sha256-eaa1b17ffca32a66065d50cd745ebec99c18998fe38e0d0a401f90468d5a0399"
    },
    "/_state.ts": {
      "size": 334,
      "checksum": "sha256-527c07c9de93e65dcb8a26505be3ebaba981c0c7a6e044a82ec4a3c8b3a2eec2"
    },
    "/console_handler.ts": {
      "size": 3029,
      "checksum": "sha256-a7a30d9474e3ff7bd7d2e07b61b7193b52bf7ede842b24063f5ac915ea85f3c8"
    },
    "/_config.ts": {
      "size": 406,
      "checksum": "sha256-3ca0fe5b05b148e60330ab36d0b58710dba0ed7f13913cdf6b536d5bca667275"
    },
    "/critical_test.ts": {
      "size": 718,
      "checksum": "sha256-44751301dab8c910f702b62ae8f9b8bd1a0d6fe1ef1f32ec2a98ec0e1645dfa0"
    },
    "/setup.ts": {
      "size": 1527,
      "checksum": "sha256-a7028b07c7147edfb55c1080283eced7255038bcb53776a50a1869445bc05964"
    },
    "/file_handler.ts": {
      "size": 7894,
      "checksum": "sha256-573d4d22cdcfd83c1193573e53060271d61524bb37d159982ace350d7bfb9e82"
    }
  },
  "moduleGraph2": {
    "/logger.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              2,
              56
            ],
            [
              2,
              69
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              3,
              41
            ],
            [
              3,
              54
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              4,
              33
            ],
            [
              4,
              52
            ]
          ]
        }
      ]
    },
    "/_state.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              2,
              33
            ],
            [
              2,
              52
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_config.ts",
          "specifierRange": [
            [
              3,
              31
            ],
            [
              3,
              45
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              28
            ],
            [
              4,
              41
            ]
          ]
        }
      ]
    },
    "/get_logger.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              3,
              23
            ],
            [
              3,
              36
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_state.ts",
          "specifierRange": [
            [
              4,
              22
            ],
            [
              4,
              35
            ]
          ]
        }
      ]
    },
    "/file_handler.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              1,
              42
            ],
            [
              1,
              55
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              2,
              31
            ],
            [
              2,
              44
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              3,
              53
            ],
            [
              3,
              72
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "jsr:@std/io@^0.225.0/write-all",
          "specifierRange": [
            [
              4,
              29
            ],
            [
              4,
              61
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_file_handler_symbols.ts",
          "specifierRange": [
            [
              13,
              7
            ],
            [
              13,
              35
            ]
          ]
        }
      ]
    },
    "/mod.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "export",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              378,
              14
            ],
            [
              378,
              33
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./console_handler.ts",
          "specifierRange": [
            [
              379,
              14
            ],
            [
              379,
              36
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./file_handler.ts",
          "specifierRange": [
            [
              380,
              14
            ],
            [
              380,
              33
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./rotating_file_handler.ts",
          "specifierRange": [
            [
              381,
              14
            ],
            [
              381,
              42
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              382,
              14
            ],
            [
              382,
              27
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              383,
              14
            ],
            [
              383,
              27
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./formatters.ts",
          "specifierRange": [
            [
              384,
              14
            ],
            [
              384,
              31
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./critical.ts",
          "specifierRange": [
            [
              385,
              14
            ],
            [
              385,
              29
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./debug.ts",
          "specifierRange": [
            [
              386,
              14
            ],
            [
              386,
              26
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./error.ts",
          "specifierRange": [
            [
              387,
              14
            ],
            [
              387,
              26
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              388,
              14
            ],
            [
              388,
              31
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./info.ts",
          "specifierRange": [
            [
              389,
              14
            ],
            [
              389,
              25
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              390,
              14
            ],
            [
              390,
              26
            ]
          ]
        },
        {
          "type": "static",
          "kind": "export",
          "specifier": "./warn.ts",
          "specifierRange": [
            [
              391,
              14
            ],
            [
              391,
              25
            ]
          ]
        }
      ]
    },
    "/_config.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./console_handler.ts",
          "specifierRange": [
            [
              2,
              31
            ],
            [
              2,
              53
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              3,
              31
            ],
            [
              3,
              44
            ]
          ]
        }
      ]
    },
    "/rotating_file_handler.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              1,
              31
            ],
            [
              1,
              44
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "jsr:@std/fs@^1.0.9/exists",
          "specifierRange": [
            [
              2,
              27
            ],
            [
              2,
              54
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./file_handler.ts",
          "specifierRange": [
            [
              3,
              53
            ],
            [
              3,
              72
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_file_handler_symbols.ts",
          "specifierRange": [
            [
              10,
              7
            ],
            [
              10,
              35
            ]
          ]
        }
      ]
    },
    "/console_handler.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              2,
              42
            ],
            [
              2,
              55
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              3,
              31
            ],
            [
              3,
              44
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "jsr:@std/fmt@^1.0.4/colors",
          "specifierRange": [
            [
              4,
              40
            ],
            [
              4,
              68
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              5,
              53
            ],
            [
              5,
              72
            ]
          ]
        }
      ]
    },
    "/_file_handler_symbols.ts": {},
    "/setup.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./base_handler.ts",
          "specifierRange": [
            [
              3,
              33
            ],
            [
              3,
              52
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_config.ts",
          "specifierRange": [
            [
              4,
              46
            ],
            [
              4,
              60
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              5,
              39
            ],
            [
              5,
              52
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./_state.ts",
          "specifierRange": [
            [
              6,
              22
            ],
            [
              6,
              35
            ]
          ]
        }
      ]
    },
    "/info.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              3,
              26
            ],
            [
              3,
              43
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              37
            ],
            [
              4,
              50
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              5,
              7
            ],
            [
              5,
              19
            ]
          ]
        }
      ]
    },
    "/base_handler.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./levels.ts",
          "specifierRange": [
            [
              7,
              7
            ],
            [
              7,
              20
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              8,
              31
            ],
            [
              8,
              44
            ]
          ]
        }
      ]
    },
    "/warn.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              3,
              26
            ],
            [
              3,
              43
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              37
            ],
            [
              4,
              50
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              5,
              7
            ],
            [
              5,
              19
            ]
          ]
        }
      ]
    },
    "/critical.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              3,
              26
            ],
            [
              3,
              43
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              37
            ],
            [
              4,
              50
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              5,
              7
            ],
            [
              5,
              19
            ]
          ]
        }
      ]
    },
    "/error.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              3,
              26
            ],
            [
              3,
              43
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              37
            ],
            [
              4,
              50
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              5,
              7
            ],
            [
              5,
              19
            ]
          ]
        }
      ]
    },
    "/levels.ts": {},
    "/formatters.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              2,
              31
            ],
            [
              2,
              44
            ]
          ]
        }
      ]
    },
    "/debug.ts": {
      "dependencies": [
        {
          "type": "static",
          "kind": "import",
          "specifier": "./get_logger.ts",
          "specifierRange": [
            [
              3,
              26
            ],
            [
              3,
              43
            ]
          ]
        },
        {
          "type": "static",
          "kind": "importType",
          "specifier": "./logger.ts",
          "specifierRange": [
            [
              4,
              37
            ],
            [
              4,
              50
            ]
          ]
        },
        {
          "type": "static",
          "kind": "import",
          "specifier": "./setup.ts",
          "specifierRange": [
            [
              5,
              7
            ],
            [
              5,
              19
            ]
          ]
        }
      ]
    }
  },
  "exports": {
    ".": "./mod.ts",
    "./base-handler": "./base_handler.ts",
    "./console-handler": "./console_handler.ts",
    "./critical": "./critical.ts",
    "./debug": "./debug.ts",
    "./error": "./error.ts",
    "./file-handler": "./file_handler.ts",
    "./formatters": "./formatters.ts",
    "./get-logger": "./get_logger.ts",
    "./info": "./info.ts",
    "./levels": "./levels.ts",
    "./logger": "./logger.ts",
    "./rotating-file-handler": "./rotating_file_handler.ts",
    "./setup": "./setup.ts",
    "./warn": "./warn.ts"
  }
}